ome-common 5.2.0-m2

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros
endian.h File Reference

Endian-specific integer types. More...

`#include <ome/common/config.h>`
`#include <ome/common/endian/types.hpp>`
Include dependency graph for endian.h:

Go to the source code of this file.

## Macros
#define | BOOST_NOEXCEPT noexcept
| Work around missing BOOST_NOEXCEPT in older Boost versions (e.g. 1.46)

## Detailed Description

Endian-specific integer types.

This header uses the proposed Boost.Endian headers, which are not yet an official part of any Boost release.

Note
  Boost.Endian was imported from https://github.com/Beman/endian.git commit d339470e6. It should be replaced with the real Boost implementation once it is included. This is only included here as a workaround until then.